std::filesystem::directory_entry(3cxx)

NAME
std::filesystem::directory_entry - The value type used by directory iterators.

SYNOPSIS

#include <filesystem>

  Public Member Functions

directory_entry (const directory_entry &)=default
directory_entry (const filesystem::path &__p)
directory_entry (const filesystem::path &__p, error_code &__ec)
directory_entry (directory_entry &&) noexcept=default
void assign (const filesystem::path &__p)
void assign (const filesystem::path &__p, error_code &__ec)
bool exists () const
bool exists (error_code &__ec) const noexcept
uintmax_t file_size () const
uintmax_t file_size (error_code &__ec) const noexcept
uintmax_t hard_link_count () const
uintmax_t hard_link_count (error_code &__ec) const noexcept
bool is_block_file () const
bool is_block_file (error_code &__ec) const noexcept
bool is_character_file () const
bool is_character_file (error_code &__ec) const noexcept
bool is_directory () const
bool is_directory (error_code &__ec) const noexcept
bool is_fifo () const
bool is_fifo (error_code &__ec) const noexcept
bool is_other () const
bool is_other (error_code &__ec) const noexcept
bool is_regular_file () const
bool is_regular_file (error_code &__ec) const noexcept
bool is_socket () const
bool is_socket (error_code &__ec) const noexcept
bool is_symlink () const
bool is_symlink (error_code &__ec) const noexcept
file_time_type last_write_time () const
file_time_type last_write_time (error_code &__ec) const noexcept
operator const filesystem::path & () const noexcept
bool operator!= (const directory_entry &__rhs) const noexcept
bool operator< (const directory_entry &__rhs) const noexcept
bool operator<= (const directory_entry &__rhs) const noexcept
directory_entry & operator= (const directory_entry &)=default
directory_entry & operator= (directory_entry &&) noexcept=default
bool operator== (const directory_entry &__rhs) const noexcept
bool operator> (const directory_entry &__rhs) const noexcept
bool operator>= (const directory_entry &__rhs) const noexcept
const filesystem::path & path () const noexcept
void refresh ()
void refresh (error_code &__ec) noexcept
void replace_filename (const filesystem::path &__p)
void replace_filename (const filesystem::path &__p, error_code &__ec)
file_status status () const
file_status status (error_code &__ec) const noexcept
file_status symlink_status () const
file_status symlink_status (error_code &__ec) const noexcept

  Friends

struct _Dir
class directory_iterator
template<typename _CharT, typename _Traits> basic_ostream< _CharT, _Traits > & operator<< (basic_ostream< _CharT, _Traits > &__os, const directory_entry &__d)
class recursive_directory_iterator

Detailed Description

The value type used by directory iterators.

Since
    C++17

Author

Generated automatically by Doxygen for libstdc++ from the source code.